Core - Feature # 22652

Status: New Priority: Should have

Author: Lars Houmark Category: 7 Install Improvements
Created: 2010-05-14 Assigned To:

Updated: 2015-07-13 Due date:

PHP Version: 5.2

Complexity:

Sprint Focus:

Subject: Provide a way to see Install Tool DB passwords in the form

Description

The Install Tool passwords is now rendered in password type fields, which shows asterisk for the passwords. This is generally fine,
but the usability for an admin is lowered at the same time. Some places there is only one field to add the password, and this can lead
into unexpected errors, from typos.

Solution:
Provide a checkbox below the database password field, which shows the content of the field when checked. When unchecked the field

is yet again a password field.
(issue imported from #M14390)

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

History

#1 - 2013-05-22 09:09 - Alexander Opitz
- Category set to Install Tool
- Target version deleted (0)

#2 - 2013-09-14 22:03 - Christian Kuhn
- Is Regression set to No

AFAIK, the UX team wants a generic solution for all password fields in the backend. This should then be re-used in the install tool. | do not remember

any issue handling this, though.

#3 - 2015-01-19 09:43 - Mathias Schreiber
- Tracker changed from Bug to Feature
- Target version set to 7.4 (Backend)

#4 - 2015-07-13 19:42 - Susanne Moog
- Category changed from Install Tool to 7 Install Improvements

Files

14390.diff 4.3 kB 2010-05-14 Administrator Admin

2015-08-04 1/1




